%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_with    python2
%bcond_without python3
%else
%bcond_without python2
%bcond_with    python3
%endif

%global srcname netmiko
%global sum Multi-vendor library to simplify Paramiko SSH connections to network devices

Name:           python-%{srcname}
Version:        2.3.3
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT and ASL 2.0
URL:            https://pypi.org/project/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{sum}

%if %{with python2}

%package -n python2-%{srcname}
Summary:        %{sum}
BuildRequires:  python2-devel
Requires:       python2-paramiko >= 2.4.2
Requires:       python2-scp >= 0.10.0
Requires:       PyYAML
Requires:       python2-pyserial
Requires:       python2-textfsm
Requires:       python2-enum34
Requires:       python2-ipaddress

BuildRequires:  python2-setuptools
# For import test, keep the same as requirements
BuildRequires:  python2-paramiko
BuildRequires:  python2-scp
BuildRequires:  PyYAML
BuildRequires:  python2-pyserial
BuildRequires:  python2-textfsm
BuildRequires:  python2-enum34
BuildRequires:  python2-ipaddress

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum} - package for Python 2.

%endif  # with python2


%if %{with python3}

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel
Requires:       python3-paramiko >= 2.4.2
Requires:       python3-scp >= 0.10.0
Requires:       python3-PyYAML
Requires:       python3-pyserial
Requires:       python3-textfsm
# For import test, keep the same as requirements
BuildRequires:  python3-paramiko
BuildRequires:  python3-scp
BuildRequires:  python3-PyYAML
BuildRequires:  python3-pyserial
BuildRequires:  python3-textfsm
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{sum} - package for Python 3.

%endif  # with python3

# FIXME: build the documentation, when upstream starts shipping its sources:
# https://github.com/ktbyers/netmiko/issues/507


%prep
%autosetup -n %{srcname}-%{version}

%build
%if %{with python2}
%py2_build
%endif  # with python2

%if %{with python3}
%py3_build
%endif  # with python3

%install
%if %{with python2}
%py2_install
%endif  # with python2

%if %{with python3}
%py3_install
%endif  # with python3

%check
# FIXME: run unit tests, when/if upstream creates them:
# https://github.com/ktbyers/netmiko/issues/509
%if %{with python2}
%{__python2} -c "from netmiko import ConnectHandler"
%endif  # with python2

%if %{with python3}
%{__python3} -c "from netmiko import ConnectHandler"
%endif  # with python3


%if %{with python2}

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%endif  # with python2

%if %{with python3}

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%endif  # with python3


%changelog
* Mon Mar 11 2019 Dmitry Tantsur <divius.inside@gmail.com> - 2.3.3-1
- Update to 2.3.3

* Mon Feb 11 2019 Yatin Karel <ykarel@redhat.com> - 2.3.0-1
- Update to 2.3.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 10 2018 Dmitry Tantsur <divius.inside@gmail.com> - 2.2.2-2
- Disable Python 2 subpackage for Fedora (rhbz#1627402)

* Thu Jul 19 2018 Dmitry Tantsur <divius.inside@gmail.com> - 2.2.2-1
- Update to 2.2.2 (rhbz#1559654)

* Tue Jul 17 2018 Dmitry Tantsur <divius.inside@gmail.com> - 2.1.1-1
- Update to 2.1.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-2
- Rebuilt for Python 3.7

* Fri Mar 16 2018 Alan Pevec <alan.pevec@redhat.com> 2.1.0-1
- Update to 2.1.0 (rhbz#1532228)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 4 2018 Dmitry Tantsur <divius.inside@gmail.com> - 1.4.3-1
- Update to 1.4.3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Dmitry Tantsur <divius.inside@gmail.com> - 1.4.2-1
- Update to 1.4.2

* Mon Jul 24 2017 Dmitry Tantsur <divius.inside@gmail.com> - 1.4.1-1
- Initial packaging (#1465006)
